%define extname extendedPDF.zip

Name:           openoffice.org-extendedPDF
Version:        1.4
Release:        8%{?dist}
Summary:        Create PDF with hyperlinks, bookmarks and more

Group:          Applications/Productivity
License:        GPLv2+
URL:            http://www.3bview.com/epdf-home.html
# This is a modified version of http://www.3bview.com/downloads/extendedPDF-Universal-Edition-1.4.0.zip made by:
# unzip extendedPDF-Universal-Edition-1.4.0.zip
# rm extendedPDF-Universal-Edition/itext.jar
# zip extendedPDF-Universal-Edition-1.4.0-CLEAN.zip -r extendedPDF-Universal-Edition
Source0:        extendedPDF-Universal-Edition-1.4.0-CLEAN.zip
# Gotten from http://bugzilla.neooffice.org/bug.php?op=show&bugid=1354
Patch0:         openoffice.org-extendedPDF-1.4.0-oooVersion.patch
# Use xdg-open instead of xpdf
Patch1:         openoffice.org-extendedPDF-1.4.0-xdg-open.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires(pre):    openoffice.org-core
Requires(post):   openoffice.org-core
Requires(preun):  openoffice.org-core
Requires(postun): openoffice.org-core


%description
Create PDF with hyperlinks, bookmarks and more.

You can make your documents much easier to read by making use of PDF's
navigation features.

PDF Bookmarks provide a tree structure allowing you to jump to any part of
the document with ease. extendedPDF allows you to create these PDF bookmarks
directly from your existing document styles, with total flexibility. No extra
work for you and a much better experience for your readers!

extendedPDF also converts hyperlinks to PDF hyperlinks, so that links work
the same in your OpenOffice.org document and your PDF document.

Allow reviewers to read and add to the notes that you made on the
OpenOffice.org original! extendedPDF can convert OpenOffice.org Notes to PDF
Note Annotations. These can be read in both Acrobat Reader and Acrobat, and
can be edited in Acrobat. 


%prep
%setup -q -n extendedPDF-Universal-Edition
tr -d '\r' < COPYING.txt > COPYING.txt.unix
touch -r COPYING.txt COPYING.txt.unix
mv COPYING.txt.unix COPYING.txt
mkdir %{extname}.unpack
pushd %{extname}.unpack
unzip ../extendedPDF.zip
%patch0 -p0
%patch1 -p0



%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/
cp -a %{extname}.unpack $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/%{extname}
#Is empty
rm $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/%{extname}/mimetype
# Cleanup patch backups
find $RPM_BUILD_ROOT%{_datadir}/openoffice.org/extensions/%{extname} -name \*.orig -exec rm '{}' \;


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ $1 -gt 1 ]; then
    # Upgrade => deregister old extension
    unopkg remove --shared org.openoffice.legacy.%{extname} || :
fi

%post
    # register extension
    unopkg add --shared --link %{_datadir}/openoffice.org/extensions/%{extname} || :

%preun
if [ $1 -eq 0 ]; then
    # not upgrading => deregister
    unopkg remove --shared org.openoffice.legacy.%{extname} || :
fi

%postun
# clear disk cache
unopkg list --shared > /dev/null 2>&1 || :


%files
%defattr(-,root,root,-)
%doc COPYING.txt extendedPDF-User-Guide.*
%{_datadir}/openoffice.org/extensions/%{extname}


%changelog
* Tue Mar 2 2010 Orion Poplawski <orion@cora.nwra.com> 1.4-8
- Add patch to use xdg-open instead of xpdf (bug #568884)

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr 14 2009 Orion Poplawski <orion@cora.nwra.com> 1.4-6
- Add patch to fix bug #495777

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Apr 14 2008 Caolan McNamara <caolanm@redhat.com> 1.4-4
- adapt to final guidelines

* Fri Mar 14 2008 Orion Poplawski <orion@cora.nwra.com> 1.4-3
- Remove itext.jar from source

* Thu Mar 13 2008 Orion Poplawski <orion@cora.nwra.com> 1.4-2
- Drop -env arg to unopkg
- Change license to GPLv2+

* Thu Mar 6 2008 Orion Poplawski <orion@cora.nwra.com> 1.4-1
- Initial package
